Bug 819180 - Review Request: kdesrc-build - A tool to allow you to easily build KDE from its source repositories
Review Request: kdesrc-build - A tool to allow you to easily build KDE from i...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-05-05 08:03 EDT by Gregor Tätzner
Modified: 2012-06-22 04:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 04:29:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gregor Tätzner 2012-05-05 08:03:02 EDT
Spec URL: http://brummbq.fedorapeople.org/kdesrc-build.spec
SRPM URL: http://brummbq.fedorapeople.org/kdesrc-build-1.14.1-1.fc16.src.rpm
Description: kdesrc-build is a script to help users install KDE software from its Subversion
and Git source repositories. It used to be called kdesvn-build, the name was 
changed to this more generic form in June 2010 when KDE started adopting 
git-based source control.

running some tests at line 50. not sure if it's right this way. Should I drop those desktop file scriptlets since the the menu entry is hidden (NoDisplay=true)?
Comment 1 Jaroslav Reznik 2012-05-07 04:13:00 EDT
RPMLINT output clean

rpmlint kdesrc-build.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint kdesrc-build-1.14.1-1.fc14.src.rpm 
kdesrc-build.src: W: spelling-error %description -l en_US kdesvn                                                                                                                    
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint kdesrc-build-1.14.1-1.fc14.noarch.rpm 
kdesrc-build.noarch: W: spelling-error %description -l en_US kdesvn 
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Jaroslav Reznik 2012-05-07 04:33:15 EDT
Name: ok
Version: ok
Release: ok
Summary: ok (could be a little bit shorter with brief description but)
License: ok (as found in LICENSE file)
URL: ok
Source:

BuildRequires: ok
BuildArch: ok, noarch

Description: ok

Macros uses consistently: ok
Documentation: COPYING.LIB is missing

For tests you should use the %check section [1]. I'd let the desktop-file-install for desktop file even it's hidden. I don't see any icon installed so the %post, %postun and %posttrans scriptlets are useless here (to recreate icon cache).

[1] http://fedoraproject.org/wiki/How_to_create_an_RPM_package#.25check_section
Comment 3 Jaroslav Reznik 2012-05-07 04:37:40 EDT
Ah, sorry.

Source: ok (md5sum 34ecab2c30556bcdb7a2ac30281a46f7  kdesrc-build-1.14.1.tar.bz2)
Comment 4 Gregor Tätzner 2012-05-07 14:01:09 EDT
Spec URL: http://brummbq.fedorapeople.org/kdesrc-build.spec
SRPM URL: http://brummbq.fedorapeople.org/kdesrc-build-1.14.1-2.fc16.src.rpm

That was quick, thank you Jaroslav! You have earned a review coupon :)

2 Days ago upstream released a new version. But I can't update my package for the moment because

a) not all tests are succeeding

b) the tool doesn't work on fedora, at least for me (complaining about missing qmake?!)

just for information. I'm going to fill some bug reports.
Comment 5 Kevin Kofler 2012-05-07 15:10:11 EDT
With our system Qt, it needs to use qmake-qt4, not just qmake.
Comment 6 Gregor Tätzner 2012-05-22 12:57:10 EDT
We have figured out all issues. So here is the new crispy and hot bugfix release.

Spec URL: http://brummbq.fedorapeople.org/kdesrc-build.spec
SRPM URL: http://brummbq.fedorapeople.org/kdesrc-build-1.15.1-1.fc16.src.rpm
Comment 7 Jaroslav Reznik 2012-06-04 11:20:58 EDT
rpmlint kdesrc-build-1.15.1-1.fc16.src.rpm 
kdesrc-build.src: W: spelling-error %description -l en_US kdesvn 
kdesrc-build.src:80: W: macro-in-%changelog %check
kdesrc-build.src: W: invalid-url Source0: http://kdesrc-build.kde.org/releases/kdesrc-build-1.15.1.tar.xz HTTP Error 404: Not Found

it's probably better to use standard ftp://ftp.kde.org/pub/kde/stable/kdesrc-build/1.15.1/src/

md5sum 9469a5fcc585e0f37cc295b44a0d36e1

It looks ok, just fix the sources url.
Comment 8 Gregor Tätzner 2012-06-04 11:49:41 EDT
Spec URL: http://brummbq.fedorapeople.org/kdesrc-build.spec
SRPM URL: http://brummbq.fedorapeople.org/kdesrc-build-1.15.1-2.fc16.src.rpm

whoops...silly mistake
Comment 9 Jaroslav Reznik 2012-06-05 03:47:55 EDT
Looks ok for me, thanks.

APPROVED
Comment 10 Gregor Tätzner 2012-06-05 13:11:11 EDT
New Package SCM Request
=======================
Package Name: kdesrc-build
Short Description: A tool to allow you to easily build KDE from its source repositories
Owners: brummbq
Branches: f16 f17
InitialCC:
Comment 11 Jon Ciesla 2012-06-05 13:37:22 EDT
Jaroslav, please set review flag to +, and then Gregor, re-set the cs flag. 
Thanks!
Comment 12 Jaroslav Reznik 2012-06-07 07:29:37 EDT
Done, review flag set back to +.
Comment 13 Jon Ciesla 2012-06-07 08:21:04 EDT
Git done (by process-git-requests).

Thanks, and also please take ownership of review BZs in the future.
Comment 14 Jaroslav Reznik 2012-06-07 10:02:35 EDT
(In reply to comment #13)
> Git done (by process-git-requests).
> 
> Thanks, and also please take ownership of review BZs in the future.

Ah, I understand it now - I was assignee, the review flag was set to + but it was reset by Gregor. 

Gregor, for next review - do not touch assignee and state during the review + review flag. Thanks.
Comment 15 Fedora Update System 2012-06-07 10:40:22 EDT
kdesrc-build-1.15.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kdesrc-build-1.15.1-2.fc17
Comment 16 Fedora Update System 2012-06-07 10:40:55 EDT
kdesrc-build-1.15.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kdesrc-build-1.15.1-2.fc16
Comment 17 Fedora Update System 2012-06-08 20:05:27 EDT
kdesrc-build-1.15.1-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 18 Fedora Update System 2012-06-22 04:29:04 EDT
kdesrc-build-1.15.1-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 19 Fedora Update System 2012-06-22 04:30:50 EDT
kdesrc-build-1.15.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.